Bug 52026 - X freezes when you start it, probably only with voodoo3.
X freezes when you start it, probably only with voodoo3.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
roswell
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-19 03:50 EDT by Alejandro Gonzalez Hernandez - Imoq
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-19 03:58:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/XFree86 logfile (25.59 KB, text/plain)
2001-08-19 03:51 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details
XF86Config (16.29 KB, text/plain)
2001-08-19 03:54 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details
XF86Config-4 (3.66 KB, text/plain)
2001-08-19 03:54 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details
/var/log/dmesg (7.53 KB, text/plain)
2001-08-19 03:55 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details
/var/log/messages (130.26 KB, text/plain)
2001-08-19 03:58 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details

  None (edit)
Description Alejandro Gonzalez Hernandez - Imoq 2001-08-19 03:50:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I first upgraded to roswell from seawolf, install in graphic mode went 
fine, but after that, when I tried to startx, the screen freezes and so do 
the mouse and keyboard. I can only connect via other computer and perform 
(sometimes) a reboot.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install or upgrade to roswell
2. type "startx" (after configuring with XConfigurator, of course).
3. Have fun by looking at the freezed screen.

	

Actual Results:  System freezes.


Expected Results:  Be happy using my graphical environment.


Additional info:

I don't know if it's related to bug #50945, but I haven't been able to use 
graphical mode since I upgraded to roswell.

First, I made a normal upgrade from seawolf to roswell, the installation 
process went fine but after install and boot for the first time, I tried 
to startx and my computer just seemed to freeze. I was able to ping it 
from another computer in my local network, and also made a SSH and I was 
able to reboot the computer.

After several tries, I was getting the same results and finally I decided 
to wipe out and start over again, did a fresh install of roswell and 
everything seemed fine, except that x-window is not working, same 
problems, same errors.

Seawolf and Guiness have worked fine with the current hardware.

After examining /var/log/messages, I found something interesting related 
to the crash, it only happens when I type startx.

I upgraded to initscripts from rawhide, as well as kernel 2.4.7 from 
rawhide, same results.

Here are the relevant part from /var/log/messages, I'll attach XFree86-
Config and the log files also.

Aug 18 14:51:46 home  -- imoq[940]: LOGIN ON tty2 BY imoq
Aug 18 14:51:50 home modprobe: modprobe: Can't locate module char-major-226
Aug 18 14:51:50 home modprobe: modprobe: Can't locate module char-major-226
Aug 18 14:51:50 home kernel: [drm] Initialized tdfx 1.0.0 20010216 on 
minor 0
Aug 18 14:51:50 home kernel: Unable to handle kernel paging request at 
virtual address 5a5a5a5a
Aug 18 14:51:50 home kernel:  printing eip:
Aug 18 14:51:50 home kernel: d08ed8d0
Aug 18 14:51:50 home kernel: *pde = 00000000
Aug 18 14:51:50 home kernel: Oops: 0000
Aug 18 14:51:50 home kernel: CPU:    0
Aug 18 14:51:50 home kernel: EIP:    0010:
[8139too:__insmod_8139too_O/lib/modules/2.4.7-0.8/kernel/drivers/net+-
26416/96]
Aug 18 14:51:50 home kernel: EIP:    0010:[<d08ed8d0>]
Aug 18 14:51:50 home kernel: EFLAGS: 00013206
Aug 18 14:51:50 home kernel: eax: 00000002   ebx: 5a5a5a5a   ecx: 
ca67dd0c   edx: d08f047c
Aug 18 14:51:50 home kernel: esi: ca67db04   edi: 00000001   ebp: 
d08f0ce0   esp: c97c1c54
Aug 18 14:51:50 home kernel: ds: 0018   es: 0018   ss: 0018
Aug 18 14:51:50 home kernel: Process X (pid: 1125, stackpage=c97c1000)
Aug 18 14:51:50home kernel: Stack: ca469e3c 00001000 cffd4f68 40027000 
c012784f ca469e3c ca46938c 00000080 
Aug 18 14:51:50 home kernel:        00000000 c97c1ed4 00000000 ca488560 
c97c1d78 cffd4f68 c97c0000 c013fc03 
Aug 18 14:51:50 home kernel:        cffd4f68 ca488560 c97c1d78 00000000 
c97c0000 c013fd64 00000000 c97c1d78 
Aug 18 14:51:50 home kernel: Call Trace: [exit_mmap+111/288] 
[exec_mmap+35/288] [flush_old_exec+100/592] [load_elf_binary+1150/2640] 
[8139too:__insmod_8139too_O/lib/modules/2.4.7-0.8/kernel/drivers/net+-
935086/96] 
Aug 18 14:51:50 home kernel: Call Trace: [<c012784f>] [<c013fc03>] 
[<c013fd64>] [<c0150ffe>] [<d080fb52>] 
Aug 18 14:51:50 home kernel:    
[8139too:__insmod_8139too_O/lib/modules/2.4.7-0.8/kernel/drivers/net+-
993555/96] [load_elf_binary+0/2640] [search_binary_handler+113/384] 
[do_execve+380/480] [getname+94/160] [sys_execve+48/96] 
Aug 18 14:51:50 home kernel:    [<d08016ed>] [<c0150b80>] [<c0140371>] 
[<c01405fc>] [<c01414be>] [<c0105b40>] 
Aug 18 14:51:50 home kernel:    [system_call+51/56] 
Aug 18 14:51:50 home kernel:    [<c0106f0b>] 
Aug 18 14:51:50 home kernel: 
Aug 18 14:51:50 home kernel: Code: 8b 13 8d 47 01 39 72 3c 0f 44 f8 3b 54 
24 14 75 25 85 c9 74 
Aug 18 14:51:50 home kernel:  exit_mmap: map count is 21
Aug 18 14:52:28 home syslogd 1.4.1: restart.
Comment 1 Alejandro Gonzalez Hernandez - Imoq 2001-08-19 03:51:33 EDT
Created attachment 28397 [details]
/var/log/XFree86 logfile
Comment 2 Alejandro Gonzalez Hernandez - Imoq 2001-08-19 03:54:21 EDT
Created attachment 28398 [details]
XF86Config
Comment 3 Alejandro Gonzalez Hernandez - Imoq 2001-08-19 03:54:48 EDT
Created attachment 28399 [details]
XF86Config-4
Comment 4 Alejandro Gonzalez Hernandez - Imoq 2001-08-19 03:55:18 EDT
Created attachment 28400 [details]
/var/log/dmesg
Comment 5 Alejandro Gonzalez Hernandez - Imoq 2001-08-19 03:58:26 EDT
Created attachment 28401 [details]
/var/log/messages
Comment 6 Mike A. Harris 2001-08-19 18:24:41 EDT
Upgrade to latest XFree86, Mesa, kernel, xinitrc from Rawhide.
I am running a Voodoo 3 on that, and it works fine.
Comment 7 Mike A. Harris 2001-08-19 18:28:48 EDT
I've Cc'd Arjan as your logs have oops messages in them.  It might
be that the kernel is oopsing and causing what appears to be
an X lockup, but is not.

Arjan?
Comment 8 Alejandro Gonzalez Hernandez - Imoq 2001-08-19 20:55:20 EDT
I am posting now from KDE, it's working fine after upgrading to what you
suggested (tough my fonts look funny, they aren't what they used to be, I have
to fix it).

About the "oops", it was the previous kernel in rawhide, this one is working fine.

Any chances you can tell me how to make the desktop icons smaller in KDE? I
can't find that option anywhere :(.
Comment 9 Arjan van de Ven 2001-08-20 03:26:10 EDT
2.4.7-0.8 had a known oops bug in the DRM code... seems you got bitten by that.

Note You need to log in before you can comment on or make changes to this bug.